---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Company -- Get

Gets company information: name, primary office, admin contact, plan state and billing address.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.company.CompanyProto": {
        "properties": {
          "account_type": {
            "description": "Company pricing tier.",
            "enum": [
              "enterprise",
              "free",
              "pro",
              "standard",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "admin_email": {
            "description": "Email address of the company administrator.",
            "type": [
              "null",
              "string"
            ]
          },
          "country": {
            "description": "Primary country of the company.",
            "type": [
              "null",
              "string"
            ]
          },
          "domain": {
            "description": "[single-line only]\n\nDomain name of user emails.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "The company's id.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "name": {
            "description": "[single-line only]\n\nThe name of the company.",
            "type": [
              "null",
              "string"
            ]
          },
          "office_count": {
            "description": "The number of offices belonging to this company",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "settings": {
            "$ref": "#/components/schemas/protos.company.CompanySettingsProto",
            "description": "Company settings.",
            "type": [
              "null",
              "object"
            ]
          },
          "state": {
            "description": "Enablement state of the company.",
            "enum": [
              "active",
              "cancelled",
              "deleted",
              "pending",
              "suspended",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Company.",
        "type": "object"
      },
      "protos.company.CompanySettingsProto": {
        "properties": {
          "allow_ai_training": {
            "description": "Whether or not the company has ai training enabled",
            "type": [
              "boolean",
              "null"
            ]
          },
          "has_callai": {
            "description": "Whether or not the company has ai enabled",
            "type": [
              "boolean",
              "null"
            ]
          }
        },
        "title": "Company settings.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/company": {
      "get": {
        "deprecated": false,
        "description": "Gets company information: name, primary office, admin contact, plan state and billing address.\n\nRate limit: 1200 per minute.",
        "operationId": "company.get",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "account_type": "standard",
                      "country": "us",
                      "domain": "fuzz-ball.com",
                      "id": "6456332278300672",
                      "name": "ファージー　ボール, Inc",
                      "office_count": "1",
                      "settings": {
                        "has_callai": true
                      }
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.company.CompanyProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Company -- Get",
        "tags": [
          "company"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```